@import "menu.css";
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --blue-default: #36c1bd;
}

body {
    font-family: "Poppins", sans-serif !important;
    overflow-x: hidden;
}

.bg-ft-1 {
    background-color: #00adad;
}

.bg-ft-2 {
    background-color: #40c1bb;
    -webkit-box-shadow: 28px 9px 29px -25px rgba(0,0,0,1);
    -moz-box-shadow: 28px 9px 29px -25px rgba(0,0,0,1);
    box-shadow: 28px 9px 29px -25px rgba(0,0,0,1);

}

.bg-ft-3 {
    background-color: #2a8c82;
}

.bg-ft-4 {
    background-color: #23756d;
}

.w-25-my {
    width: 25% !important;
}

.is-left {
    padding: 0 0 0 16rem !important;
    float: right;
}

.item-slide {
    top: 50%;
    left: 50%;
    text-align: center;
    margin-right: -50%;
    position: absolute;
    transform: translate(-50%, -50%);
}

.item-slide h2 {
    padding: 15px;
    color: #FFFFFF;
    font-size: 45px;
    margin: 40px auto;
    width: fit-content;
    text-transform: uppercase;
    background-color: rgb(57, 191, 178, 0.8);
}

.button-home-contact,
.button-home-budget,
.button-footer-contact {
    color: #ffffff;
    font-weight: bold;
    padding: 1rem 3rem;
    text-decoration: none;
    text-transform: uppercase;
    background-color: var(--blue-default);
}

.button-home-contact:hover,
.button-footer-contact:hover {
    background-color: #32a29f;
    transition: all 0.5s ease-in-out;
}

.button-home-budget {
    color: #000000;
    font-size: 1rem;
    background-color: #ffffff;
}

.button-footer-contact {
    border: 0;
    float: left;
    outline: none;
    font-size: 1rem;
    font-weight: normal;
}

.container-budget {
    width: 100%;
    height: 180px;
    display: flex;
    margin: 8rem 0;
    color: #ffffff;
    font-weight: bold;
    font-size: 1.5rem;
    align-items: center;
    outline-offset: -25px;
    outline: 1px solid #fff;
    text-transform: uppercase;
    justify-content: space-around;
    background-image: radial-gradient(circle, #40c1bb, #36bcb7, #2ab7b4, #1bb2b0, #00adad);
}

.container-header {
    width: 100vw;
    height: 110px;
    display: flex;
    margin: 0 auto;
    padding: 0 5%;
    position: relative;
    align-items: center;
    justify-content: space-between;
    background-color: rgba(255, 255, 255, 0.6);
}

.banners-top {
    width: 100%;
    display: flex;
    height: 150px;
    align-items: center;
    background: url(../../assets/banner/banner-top.png) no-repeat center center;
    background-size: cover;
}

.banners-top h2 {
    padding: 1rem;
    color: #FFFFFF;
    font-size: 2.5rem;
    font-weight: bold;
    width: fit-content;
    text-transform: uppercase;
    background: rgb(54, 193, 189, 0.8);
}


.menu-links ul{
    margin-bottom: 0;
}

.menu-links ul,
.sub-menu-links {
    padding: 0;
    display: flex;
    list-style: none;
    position: relative;
}

.sub-menu-links {
    z-index: 3;
    bottom: -43px;
    display: none;
    padding: 1rem;
    min-width: 280px;
    position: absolute;
    transform: translateY(100%);
    transition: opacity 0.3s ease;
    background: var(--blue-default);
}

.menu-links ul li .sub-menu-links a {
    font-weight: normal;
    text-transform: capitalize;
}

.menu-links ul li a,
.menu-icons a {
    color: #000000;
    margin: 0 15px;
    font-size: 14px;
    font-weight: 600;
    position: relative;
    text-decoration: none;
    text-transform: uppercase;
}

.menu-links ul li a:hover::after,
.menu-links ul li a:focus::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    transform: translateY(100%);
    width: 100%;
    height: 240px;
}

.menu-links ul > li > a:hover {
    color: var(--blue-default);
}

.menu-links ul li a:hover + .sub-menu-links,
.menu-links ul li a:focus + .sub-menu-links {
    display: block;
}

.sub-menu-links:hover,
.sub-menu-links:focus {
    display: block;
}

.sub-menu-links div a:hover {
    color: #FFFFFF;
}

.menu-icons {
    display: flex;
}

/* --- */

.sections-home,
.section-suppliers {
    margin-top: 8rem;
}

.sections-home .text-home {
    padding-right: 15rem;
}

.sections-home .text-home h2,
.section-suppliers h2 {
    font-size: 3rem;
    color: #000000;
    font-weight: bold;
    margin-bottom: 3rem;
}

.sections-home .text-home ul {
    color: #787878;
    margin-bottom: 3rem;
    list-style-type: none;
}

.sections-home .text-home ul li a {
    color: #787878;
    font-size: 1rem;
    margin-left: 5px;
    text-decoration: none;
    text-transform: uppercase;
}

.photo-container {
    height: auto;
    float: right;
    max-width: 100%;
    position: relative;
    padding-right: 8rem;
}

.photo-container:before {
    content: '';
    left: -5%;
    bottom: 5%;
    width: 150px;
    height: 150px;
    border: 4px solid var(--blue-default);
    border-right: none;
    position: absolute;
}

.section-pages-default-one,
.section-pages-default-two {
    margin: 10rem 0;
}

.section-pages-default-one h2 {
    margin: 0;
    color: #000000;
    font-weight: 700;
    font-size: 2rem;
    line-height: 1.25;
    position: relative;
}

.section-pages-default-one h2:before {
    content: "";
    top: 14px;
    left: -15px;
    width: 45px;
    position: absolute;
    transform: translateX(-100%);
    border-top: solid 2px #36c1bd;
}

.section-pages-default-one p {
    color: #787878;
    font-size: 18px;
    line-height: 1.6;
    text-align: justify;
}

.section-pages-default-two .service-card-left {
    padding: 100px 25px;
    color: #787878;
    font-size: 18px;
    line-height: 1.6;
    position: relative;
}



.section-pages-default-two .service-card-left:before {
    content: "";
    left: 0;
    top: 0;
    width: 60%;
    height: 100%;
    position: absolute;
    border-top: solid 4px #36c1bd;
    border-left: solid 4px #36c1bd;
    pointer-events: none;
}


.textPadding .service-card-left {
    padding: 100px 25px;
    color: #787878;
    font-size: 18px;
    line-height: 1.6;
    position: relative;
    text-align: justify;
}

.textPadding .service-card-left:before {
    content: "";
    left: 0;
    top: 0;
    width: 45%;
    height: 100%;
    position: absolute;
    border-top: solid 4px #36c1bd;
    border-left: solid 4px #36c1bd;
    pointer-events: none;
}

.service-card-detail {
    position: absolute;
    left: 0;
    top: 40%;
    width: 80%;
    padding: 24px;
    max-width: 394px;
    transform: translateY(116px);
    border-top: solid 4px #ffffff;
    border-right: solid 4px #ffffff;
    background-color: #ffffff;
}

.service-card-detail h2 {
    margin: 0 0 24px;
    font-size: 25px;
    line-height: 1.4;
    color: #000000;
    font-weight: 700;
}

.service-card-detail a {
    display: flex;
    align-items: center;
    font-size: 16px;
    line-height: 1.5;
    color: #36c1bd;
    font-weight: 600;
    text-decoration: none;
    transition: color 0.3s ease;
}

.service-card-detail:hover,
.service-card-detail:focus {
    border-color: #36c1bd;
}

.section-contact {
    margin: 5rem 0;
}

.section-contact h2 {
    margin: 0 0 32px;
    font-size: 32px;
    color: #000000;
    line-height: 1.4;
    font-weight: 700;
}

.section-contact h2 span {
    color: var(--blue-default);
}

.section-contact .address {
    max-width: 370px;
}

.section-contact .address a {
    color: #787878;
    font-size: 16px;
    font-style: normal;
    margin-bottom: 32px;
    line-height: 1.3125;
    text-decoration: none;
}

.section-contact .phone {
    margin: 60px 0 85px;
}

.section-contact .phone a {
    color: #000000;
    font-size: 32px;
    line-height: 1.4;
    font-weight: 700;
    text-decoration: none;
    transition: color 0.3s ease;
}

.section-contact .items a,
.section-contact .items p {
    color: #787878;
    display: block;
    font-size: 1.1rem;
    margin-bottom: 30px;
    line-height: 1.3125;
    text-decoration: none;
}

.section-contact .items a > span,
.section-contact .items p > span {
    color: #000000;
    font-weight: bold;
}

.section-contact form input {
    width: 100%;
    height: 50px;
    margin: 15px 0;
    padding-left: 15px;
    border: solid 1px #c9c9c9;
}

.section-contact form textarea {
    width: 100%;
    resize: none;
    margin: 15px 0;
    padding-left: 15px;
    border: solid 1px #c9c9c9;
}

/*---------------*/
.footer-col {
    height: auto;
    padding: 1rem;
    color: #ffffff;
    font-weight: bold;
    font-size: 1.5rem;
    text-align: center;
}

.links-footer {
    padding: 0;
    list-style: none;
    text-align: left;
    font-size: 1rem;
}

.links-footer li a {
    color: #000000;
    font-weight: normal;
    margin-bottom: 15px;
    text-decoration: none;
}

.form-footer {
    padding: 0 1.5rem;
}

.form-footer label {
    height: 45px;
}

.form-footer input::placeholder,
.form-footer textarea::placeholder {
    color: #000000;
}

.form-footer input,
.form-footer textarea {
    resize: none;
    width: 100%;
    outline: none;
    display: block;
    color: #000000;
    font-size: 1rem;
    padding: 6px 12px;
    border: 1px solid #fff;
    transition: border-color 0.3s ease;
    background: rgb(255, 255, 255, 0.3);
}

.bg-ft-4 ul {
    padding: 0;
    list-style: none;
}

.bg-ft-4 ul li {
    margin: 10px 0;
    color: #ffffff;
    font-size: 10px;
}

.float-btn{
    position: fixed;
    bottom: 40px;
    right: 40px;
    z-index: 100;
    height: 55px;
    width: 280px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.box {
    height: 50px;
    width: 230px;
    background-image: url(../../assets/02-botão-disk-cloro-03.png);
    background-size: cover;
    border-radius: 5px;
    display: flex;
    align-items: center;
    padding-left: 50px;
    text-align: center;
    text-transform: uppercase;
    filter: drop-shadow(0px 5px 15px rgba(0, 0, 0, 0.35));
}

.ico-float {
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    height: 50px;
    width: 50px;
    display: flex;
    border-radius: 50%;
    background: #25D366;
    align-items: center;
    justify-content: center;
    font-size: 30px;
}

.ico-float a{
    color: #FFFFFF;
}

.owl-theme .owl-nav{
    display: none;
}

.textPadding {
    padding: 70px 0 ;
}

/* @media (max-width: 991px){
    padding: 30px 0 ;
} */


.links-footer li {
    padding: 5px 0;
}

.alvenaria-style{
    display: flex;
    justify-content: center;
}

.alvenaria-style .position-relative img{
    width: 500px;
}

.text-alvenaria p{
    color: #787878;
    font-size: 18px;
    line-height: 1.6;
}

.carousel-container {
    position: relative; /* Necessário para o posicionamento absoluto da .overlay */
}

.overlay {
    position: absolute;
    top: 0%; /* Centraliza verticalmente */
    right: 4.6%; /* Centraliza horizontalmente */
    color: #fff;
    text-align: center;
    z-index: 10; /* Garante que fique acima do slide */
    background-color: #00adad;
    padding: 10px 15px;
}

.overlay a {
    color: white;
    text-decoration: none;
    font-size: 12px;
}


.card-container {
    position: relative; 
}

.button-store {
    position: absolute;
    top: 35%; 
    right: 4.6%; 
    color: #fff;
    text-align: center;
    z-index: 10; 
    background-color: #00adad;
    padding: 10px 15px;
    border: 2px solid white;
}

.button-store a {
    color: white;
    text-decoration: none;
    font-size: 12px;
}


.destaqueLink  a{
    background-color: #00adad;
    padding: 10px;
    color: white !important;
    text-transform: uppercase;

}

@media (max-width: 1495px){
    .container-header{
        padding: 0 2%;
    }

}


@media (max-width: 1170px){

    .menu-links ul li a, .menu-icons a{
        font-size: 12px;
    }

}

@media (max-width: 1083px){

    .menu-links ul li a, .menu-icons a {
        margin: 0 10px;
    }


}



